Get Payment Instruction

GEThttps://bank.dattaremit.com/api/payment_instructions/{payment_instruction_guid}

Requires a bank-scoped key.

Retrieves a payment_instruction.

Required scope: invoices:read

Path Params

payment_instruction_guidstringrequired

Identifier for the payment instruction.

Responses

200

payment_instruction found

401

Unauthorized - Authentication failed

403

Invalid scope

404

payment_instruction not found

Request

curl https://api.dattaremit.com/api/payment_instructions/{payment_instruction_guid} \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

payment_instruction found

{
  "guid": "string",
  "customer_guid": "string",
  "invoice_guid": "string",
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z",
  "expired_at": "2026-07-20T16:27:51.438Z",
  "failed_at": "2026-07-20T16:27:51.438Z",
  "network_address": "string",
  "expected_payment_asset": "string",
  "expected_payment_amount": 1,
  "failure_code": "string",
  "state": "string"
}